using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using HCM.BusinessEntities;

namespace HCM.BajaWare.Services
{
    [ServiceContract]
    interface IinterfacesServicePersonas
    {
        [OperationContract]
        List<clsDatosPersona> ListaBajawarePersonas(interfacePersona iPersona);

        [OperationContract]
        clsDatosPersona ObtieneDatosPersona(int iPersonaID, string strNegocio);
        [OperationContract]
        List<Participe> ListaParticipe(Participe participe);


        [OperationContract]
        List<CorreoPersona> ObtieneCorreos(int intPersonaID);

        [OperationContract]
        ServiceResult InsertaCorreos(List<CorreoPersona> lstCorreos, int intPersonaID);

        [OperationContract]
        ServiceResult EliminarCorreos(int intCorreoID);

        [OperationContract]
        ServiceResult InsertaDatosPersonas(clsDatosPersona clsDatPersonas, short shAreaCaptura);

        [OperationContract]
        clsDatosPersona ExistePersona(string strRFC, string strNombre);
        [OperationContract]
        int InsertaPersonaParticipe(int iOperacionId, int iPersonaId, string sPrimerNombre, string sSegundoNombre, string sApellidoPaterno, string sApellidoMaterno, int iCveRegimenFiscal, string RFC, int iParticipeTipoId, int UAlta);

    }

}
